<?php
	##### Caso tenha envio de novo lançamento #####
	if(isset($_POST['price'])){
		$params = $_POST;
		$params['token'] = $_SESSION["usuario"]["api_token"];
		$apiSend = api('/setCashierLaunch', $params);
		$apiSend = json_decode($apiSend, 1);
	}
	##### Caso tenha envio de novo lançamento #####

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);

	// Consulta a API
	$params['token'] = $_SESSION["usuario"]["api_token"];
	if(isset($query["date"])){ $params['date'] = $query['date']; $params['enddate'] = $query['enddate']; }
	$api = api('/listCashierLaunches', $params);
	$api = json_decode($api, 1);

	// Lista todos os usuários
	$users = array();
	$sql = $mysqli->query("SELECT usuario_nome, usuario_tipo, usuario_id FROM usuarios WHERE usuario_permissoes LIKE '%-3-%' OR usuario_permissoes LIKE '3-%' ORDER BY usuario_tipo, usuario_nome ASC");
	while ($u = $sql->fetch_assoc()) {
		// Se não for admin, limite usuários
		if($_SESSION["usuario"]["tipo"] > 2 && getHierarquia($_SESSION["usuario"]["id"], $u["usuario_id"], $_SESSION['users']) == false){ continue; }
		$i = count($users[$u["usuario_tipo"]]);
		$ti = $u["usuario_tipo"];
		$users["$ti"][$i]["id"] = $u["usuario_id"];
		$users["$ti"][$i]["nome"] = utf8_encode($u["usuario_nome"]);
		$users["$ti"][$i]["tipo"] = $u["usuario_tipo"];
	}
?>